Bug 186750 - Firefox with pango is very slow
Firefox with pango is very slow
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-03-25 21:06 EST by Johan Dahl
Modified: 2008-08-02 19:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-21 10:53:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johan Dahl 2006-03-25 21:06:04 EST
Description of problem:
The pango-enabled build of firefox is very slow. I very much like pango and it's
ability to show a lot of scripts in a correct way but it must be faster. The
browser was very slow my AMD XP1800.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start firefox and watch the lack of speed
Actual results:
Slow and unresponsive browser

Expected results:
Snappy browser

Additional info:
I installed the version from www.mozilla.org and feels like a completly
different browser.
Comment 1 Wesley Haines 2006-04-08 03:09:48 EDT
I have a similar system (Athlon XP 1900+) and have this same problem. Firefox is
more responsive if I use the version from mozilla.org, which I'm guessing does
not have pango, nor all of the language extensions (which should be another bug
report in itself). Hopefully this will be looked into even though it's not a
huge bug, because it makes Firefox seem really bloated. Epiphany uses the same
rendering engine as far as I know and it seems to load pages decently faster
than the built-in Firefox.
Comment 2 Stephen Moore 2006-04-17 22:16:15 EDT
I can confirm that firefox + pango is very slow on my system, fustratingly so.

I was getting very agro about it untill I realised what had happened. I was
using fc4 with the downloaded version firefox 1.5 from mozilla.org then upgraded
to fc5 with its firefox + pango enabled version and the system was much slower. 

I have a dell fpw 2405 @ 1920x1200 + nvidia 7800 and I think the size of the
screen may exaserbate the problem.
Comment 3 Warren Togami 2006-04-17 22:22:11 EDT
Fedora will not turn off pango by default.  Instead of complaining, I suggest
that you help development of pango, because pango will become the default
rendering engine for upstream's Mozilla in the near future.
Comment 4 Jeff Schultz 2006-04-17 22:36:29 EDT
I observe varied behaviour depending, it seems, on the history of the system.  An
up-to-date FC4 upgraded to FC5 has the problem and it makes the browser very
hard to use.  A similar set of hardware, where the main difference is 1GB dual
channel v.s. 512MB single channel memory, has no observable ill-effects.  These
are 2/2.2GHz K8s.
Comment 5 Mace Moneta 2006-05-12 12:54:29 EDT
It looks like setting MOZ_DISABLE_PANGO=1 in the environment before starting
firefox addresses the performance issue, until pango's performance can be improved.
Comment 6 Thomas Canniot 2006-06-20 05:39:15 EDT
Furthermore this MOZ_DISABLE_PANGO=1 setting is written in the releases notes,
and the performance issue is written as known. This bug should be closed. Not a bug?
Comment 7 Jake Gage 2007-02-06 12:44:57 EST
It's been a little while since there's been a comment here.  Not trolling, but I
came to file a suggestion to disable Pango by default (and leave it to the
release notes or an overriding package to re-enable Pango so that people can
take advantage of it for specific environments).

Before I go off and suggest something stupid, though: reading through this
report, I'm seeing "Instead of complaining, I suggest that you help development
of pango, because pango will become the default rendering engine for upstream's
Mozilla in the near future."

So, sorry to bug people, but could someone help me understand better: does this
mean that the Mozilla dev team is phasing out the "non-Pango" rendering engine
in favor of Pango, and and Pango would be code with the most development moving
forward?  Because, if so, leaving Pango on in the default scripts seems the
better thing to do.  (Hell, if that's the way things go, I may have to look at
the Mozilla base code, which I know I haven't done in years.)

If Pango is just an option, though: it's been about ten months since the
statement was made, and about eight since the last comment on this.  So, I not
knowing the status, I can only comment on the effect that it has on our public
image as a community: to an beginner or outsider, it just translates to "Fedora
is slow" or "Fedora crashes."  And, yes, I've actually heard this comment from
people that I've installed systems for (and I've forgotten to change the scripts.)

And, I'm sorry to say (because I don't want to raise any hackles, and I know the
Pango dev team is probably working very hard on the issue), we should remember
that this problem is observed in two very high-profile applications to
nontechnical users: the Web browser and the email client.

From a personal perspective, I can say that I run a 1920x1200 resolution, which
definintely exacerbates the problem.  At that resolution, both Thunderbird and
Firefox have actually crashed and/or become unresponsive during font resize (I
can't recall anything so extreme in rendering).

Now, that's all right by me: to get through the day, I know how to go in and
modify the startup scripts.  And, since I actually do things like read release
notes every time they come out and read through bug report conversations; well,
it really doesn't effect me at all.  The only thing concerning me is the public
face of Fedora.

Again, if the non-Pango engine is being phased out of development in the Mozilla
community; well, Fedora is here to forge forward, and none of this matters. 
However, if that's not the case, it'd probably be a good thing to bring up
changing the default scripts, and allow the Pango developers some time to
continue their work on improving performance of the engine.

Can anyone enlighten me as to where Pango "fits in" to the plan?
Comment 8 Jake Gage 2007-02-06 12:49:43 EST
And wow, please excuse all the typos in that.  Damn.
Comment 9 Warren Togami 2007-02-06 12:50:05 EST
Upstream Firefox is moving toward Pango by default.

Pango is already needed by default in order to support many global languages. 
Fedora will not disable it by default and make these users turn it on manually
with an ugly hack.
Comment 10 Christopher Aillon 2007-02-06 13:36:47 EST
All this is fixed in FC6, though, and pango is enabled by default there.
Comment 11 Matěj Cepl 2007-02-06 17:37:36 EST
Just to be sure -- could you, Johan and Jake, confirm that you can reproduce
slowness and crashes with default Pango setting (i.e., please, use standard
starting script) in the current FC6?
Comment 12 Matěj Cepl 2007-05-21 10:53:21 EDT
No response from reporters, closing as INSUFFICIENT_DATA. If anyone has some
information on this bug, please, reopen with additional data.

Note You need to log in before you can comment on or make changes to this bug.